> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Queries all sales invoice corrections.



## OpenAPI

````yaml /openapi/2.0.json get /v2/sales-invoice-corrections
openapi: 3.0.0
info:
  title: JTL-WAWI API (Cloud)
  description: "JTL-Wawi-Version: 2.1.0\r\n# Introduction\r\n\r\nWelcome to the JTL-WAWI technical API documentation. This guide is here to help developers understand how our REST API works and how it can be integrated into your existing systems. We'll delve into the details of authentication and data manipulation processes, providing clear examples along the way. Whether you're a developer or an IT professional, this documentation aims to give you a practical understanding, laying the groundwork for effectively using the JTL-WAWI API to enhance your processes.\r\n\r\n# Authentication\r\n\r\nYou register your application with the API by sending a POST request with the required information and corresponding keys. You can find the exact request details at https://developer.jtl-software.com/products/erp/swagger/appregistration. This information has to include the following:\r\n\r\n* AppId\r\n* DisplayName\r\n* Description\r\n* Version\r\n* ProviderName\r\n* ProviderWebsite\r\n* MandatoryApiScopes\r\n\r\nThis data is crucial for identifying and registering your application with the API. The API uses it to generate a temporary authentication ID that allows your application to access the necessary resources. After successful validation of this information, you will receive the API key required for future authentication and API requests.\r\n\r\nBefore you can begin the registration process, you must open JTL-Wawi (new interface) and start the registration process under 'Admin->App registration'. Only at this point are you authorised to send the first API call. This step in JTL-Wawi ensures that your application is properly registered and has permission to use the API.\r\n\r\nThe API will send you an authentication ID in the form of a token. Once you have received this token and successfully completed the registration in JTL-Wawi, you will send another request to the API by including this authentication ID in the URL path.\r\n\r\nAfter successful validation of this second request by the API and confirmation of the correct information, you will be provided with the actual API key. It is important to note that this API key will not be displayed again!\r\n\r\nThis API key will be used in the future to authenticate requests to the API. It is of utmost importance that you securely store the API key upon receipt, as it cannot be retrieved from any other location in the system."
  contact:
    name: JTL-Software-GmbH
    url: https://developer.jtl-software.com/
    email: partner@jtl-software.com
  version: '2.0'
  x-application-version: 2.1.0.0
servers:
  - url: https://api.jtl-cloud.com/erp
    description: Production Environment Cloud API Gateway
security: []
tags:
  - name: Worker
    description: >-
      <p data-section-id='tag/Worker' class='beta_summary'></p>Returns the
      Available Syncs of the Worker
  - name: WMS
    description: >-
      <p data-section-id='tag/WMS' class='stable_summary'></p>Query all pick
      lists for a specific wms warehouse that are not completed.
  - name: Wawi App
    description: >-
      <p data-section-id='tag/Wawi App' class='stable_summary'></p>Get a
      specific customer
  - name: Warehouses
    description: >-
      <p data-section-id='tag/Warehouses' class='stable_summary'></p>Queries all
      storage locations for a given warehouse.
  - name: Units
    description: Development
  - name: Transaction Status
    description: >-
      <p data-section-id='tag/Transaction Status'
      class='stable_summary'></p>Queries all transaction statuses for a sales
      order.
  - name: Tax
    description: >-
      <p data-section-id='tag/Tax' class='stable_summary'></p>Returns the tax
      rate for the given item.
  - name: Inventory
    description: >-
      <p data-section-id='tag/Inventory' class='stable_summary'></p>Queries
      stocks for a specific item, warehouse or storage location.
  - name: Sales Order
    description: Planned
  - name: Sales Invoice Correction
    description: Planned
  - name: Sales Channel
    description: >-
      <p data-section-id='tag/Sales Channel' class='stable_summary'></p>Gets all
      sales channels.
  - name: Return
    description: >-
      <p data-section-id='tag/Return' class='beta_summary'></p>Create a new
      return with associated items and packages.
  - name: Item
    description: >-
      <p data-section-id='tag/Item' class='beta_summary'></p>Queries all
      responsible persons.
  - name: Refund
    description: Planned
  - name: Property
    description: >-
      <p data-section-id='tag/Property' class='stable_summary'></p>Queries all
      properties of items.
  - name: Printer
    description: >-
      <p data-section-id='tag/Printer' class='beta_summary'></p>Retrieves all
      installed printers.
  - name: Master Data
    description: >-
      <p data-section-id='tag/Master Data' class='stable_summary'></p>Queries
      all on hold reasons for sales orders.
  - name: Manufacturer
    description: Development
  - name: Label
    description: Development
  - name: Sales Invoice
    description: Planned
  - name: Info
    description: >-
      <p data-section-id='tag/Info' class='stable_summary'></p>Returns the
      status of the API.
  - name: Features
    description: >-
      <p data-section-id='tag/Features' class='stable_summary'></p>Returns the
      available feature sets with release state and API version.
  - name: Extensibility
    description: Planned
  - name: Shipment
    description: Development
  - name: Delivery Note
    description: Planned
  - name: Custom Field
    description: Development
  - name: Customer
    description: >-
      <p data-section-id='tag/Customer' class='stable_summary'></p>Deletes a
      specific customer.
  - name: Authentication
    description: >-
      <p data-section-id='tag/Authentication' class='stable_summary'></p>Send a
      registration request for an (external) application
  - name: Attribute
    description: Development
  - name: Sales Quotation
    description: >-
      <p data-section-id='tag/Sales Quotation' class='beta_summary'></p>Execute
      the printing of a sales quotation
  - name: Production
  - name: Resources
  - name: Company
  - name: Marketplace Order
  - name: Marketplace Offer
  - name: Marketplace Invoicing
  - name: Warehouse Assistant
paths:
  /v2/sales-invoice-corrections:
    get:
      tags:
        - Sales Invoice Correction
      summary: Queries all sales invoice corrections.
      operationId: SalesInvoiceCorrectionDomain_QuerySalesInvoiceCorrections
      parameters:
        - name: pageNumber
          in: query
          description: Number of the page of items to fetch. Defaults to 1 when omitted.
          schema:
            type: integer
            format: int32
        - name: pageSize
          in: query
          description: >-
            Size of the page specified by PageNumber. Defaults to 100 when
            omitted.
          schema:
            type: integer
            format: int32
        - name: sortBy
          in: query
          description: >-
            Property to sort by. Multiple comma-separated fields are applied in
            order (OrderBy, then ThenBy).
          schema:
            type: string
        - name: sortDescending
          in: query
          description: Sort in descending order. Defaults to ascending when omitted.
          schema:
            type: boolean
        - name: salesInvoiceCorrectionDateAfter
          in: query
          description: >-
            Only include items whose SalesInvoiceCorrectionDate is after
            (greater than) this value.
          schema:
            type: string
            format: date-time
        - name: salesInvoiceCorrectionDateBefore
          in: query
          description: >-
            Only include items whose SalesInvoiceCorrectionDate is before (less
            than) this value.
          schema:
            type: string
            format: date-time
        - name: printDateAfter
          in: query
          description: >-
            Only include items whose PrintDate is after (greater than) this
            value.
          schema:
            type: string
            format: date-time
        - name: printDateBefore
          in: query
          description: Only include items whose PrintDate is before (less than) this value.
          schema:
            type: string
            format: date-time
        - name: mailDateAfter
          in: query
          description: >-
            Only include items whose MailDate is after (greater than) this
            value.
          schema:
            type: string
            format: date-time
        - name: mailDateBefore
          in: query
          description: Only include items whose MailDate is before (less than) this value.
          schema:
            type: string
            format: date-time
        - name: cancelledDateAfter
          in: query
          description: >-
            Only include items whose CancelledDate is after (greater than) this
            value.
          schema:
            type: string
            format: date-time
        - name: cancelledDateBefore
          in: query
          description: >-
            Only include items whose CancelledDate is before (less than) this
            value.
          schema:
            type: string
            format: date-time
        - name: x-tenant-id
          in: header
          required: true
          schema:
            type: string
            format: uuid
          description: The tenant ID for the target ERP instance.
      responses:
        '200':
          description: Paged result.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/JTL.Framework.Api.Abstraction.Models.PagedListOfJTL.Wawi.Verkaufsverwaltung.PublicApi.DataTransferObjects.V2.SalesInvoiceCorrectionDomain.SalesInvoiceCorrectionListItem
        '400':
          description: Bad request.
          content:
            application/json: {}
        '401':
          description: Unauthorized.
          content:
            application/json: {}
        '403':
          description: Forbidden.
          content:
            application/json: {}
        '500':
          description: Internal server error.
          content:
            application/json: {}
      security:
        - oauth2-authorization-code: []
        - oauth2-client-credentials: []
components:
  schemas:
    JTL.Framework.Api.Abstraction.Models.PagedListOfJTL.Wawi.Verkaufsverwaltung.PublicApi.DataTransferObjects.V2.SalesInvoiceCorrectionDomain.SalesInvoiceCorrectionListItem:
      type: object
      additionalProperties: false
      required:
        - totalItems
        - pageNumber
        - pageSize
        - items
      properties:
        totalItems:
          type: integer
          format: int32
        pageNumber:
          type: integer
          format: int32
        pageSize:
          type: integer
          format: int32
        items:
          type: array
          items:
            $ref: >-
              #/components/schemas/JTL.Wawi.Verkaufsverwaltung.PublicApi.DataTransferObjects.V2.SalesInvoiceCorrectionDomain.SalesInvoiceCorrectionListItem
        totalPages:
          type: integer
          format: int32
        hasPreviousPage:
          type: boolean
        hasNextPage:
          type: boolean
        nextPageNumber:
          type: integer
          format: int32
        previousPageNumber:
          type: integer
          format: int32
    JTL.Wawi.Verkaufsverwaltung.PublicApi.DataTransferObjects.V2.SalesInvoiceCorrectionDomain.SalesInvoiceCorrectionListItem:
      type: object
      description: A single row of the invoice corrections overview table.
      additionalProperties: false
      required:
        - id
        - salesInvoiceNumber
        - totalGrossAmount
        - totalNetAmount
      properties:
        id:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.GutschriftKey'
          description: ID of the invoice correction
        salesInvoiceCorrectionNumber:
          type: string
          description: Entry number of the invoice correction
        salesInvoiceNumber:
          type: string
          description: Entry number of the related invoice
        customerNumber:
          type: string
          description: Number of the related customer
        totalGrossAmount:
          type: number
          description: Total gross amount of the invoice correction
          format: decimal
        totalNetAmount:
          type: number
          description: Total net amount of the invoice correction
          format: decimal
        revenueAccount:
          type: string
          description: The revenue account of the invoice correction
        currencyIso:
          type: string
          description: Currency ISO code
        customerGroupName:
          type: string
          description: Name of the customer group
        salesInvoiceCorrectionDate:
          type: string
          description: Date when the invoice correction was created
          format: date-time
        printDate:
          type: string
          description: Date when the invoice correction was first printed
          format: date-time
        mailDate:
          type: string
          description: Date when the invoice correction was first sent via e-mail
          format: date-time
        salesInvoiceComment:
          type: string
          description: Comment of the related invoice
        cancelledDate:
          type: string
          description: Date when the invoice correction was cancelled
          format: date-time
        cancellationUserName:
          type: string
          description: Name of the user who cancelled the invoice correction
        cancellationReason:
          type: string
          description: Cancellation reason
        cancellationComment:
          type: string
          description: Cancellation comment
        shortText:
          type: string
          description: Short text of the invoice collection
        billingAddressCompany:
          type: string
          description: Billing address company
        billingAddressFirstName:
          type: string
          description: Billing address first name
        billingAddressLastName:
          type: string
          description: Billing address last name
        billingAddressStreet:
          type: string
          description: Billing address street
        billingAddressPostalCode:
          type: string
          description: Billing address postal code
        billingAddressCity:
          type: string
          description: Billing address city
        billingAddressCountryName:
          type: string
          description: Billing address country name
        billingAddressPhoneNumber:
          type: string
          description: Billing address phone number
        billingAddressFax:
          type: string
          description: Billing address fax number
        billingAddressEmailAddress:
          type: string
          description: Billing address email address
        billingAddressAdditionalCompanyLine:
          type: string
          description: Billing address additional company line
        billingAddressAdditionalAddressLine:
          type: string
          description: Billing address additional address line
        billingAddressState:
          type: string
          description: Billing address state
        shipmentAddressCompany:
          type: string
          description: Shipment address company
        shipmentAddressFirstName:
          type: string
          description: Shipment address first name
        shipmentAddressLastName:
          type: string
          description: Shipment address last name
        shipmentAddressStreet:
          type: string
          description: Shipment address street
        shipmentAddressPostalCode:
          type: string
          description: Shipment address postal code
        shipmentAddressCity:
          type: string
          description: Shipment address city
        shipmentAddressCountryName:
          type: string
          description: Shipment address country name
        shipmentAddressPhoneNumber:
          type: string
          description: Shipment address phone number
        shipmentAddressFax:
          type: string
          description: Shipment address fax number
        shipmentAddressEmailAddress:
          type: string
          description: Shipment address email address
        shipmentAddressAdditionalCompanyLine:
          type: string
          description: Shipment address additional company line
        shipmentAddressAdditionalAddressLine:
          type: string
          description: Shipment address additional address line
        shipmentAddressState:
          type: string
          description: Shipment address state
        createdByUserId:
          $ref: '#/components/schemas/JTL.Identity.Abstractions.BenutzerKey'
          description: Created by user ID
        status:
          type: string
          description: Status text of the invoice correction
        salesChannelId:
          type: string
          description: Sales channel of the invoice correction
        platformId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.PlattformKey'
          description: >-
            DEPRECATED: do not use; use salesChannelId instead. Raw platform key
            (kPlattform); kept only as the source for salesChannelId.
        shopId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.ShopKey'
          description: >-
            DEPRECATED: do not use; use salesChannelId instead. Raw shop key
            (kShop); kept only as the source for salesChannelId.
        companyId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.FirmaKey'
          description: CompanyId
        comment:
          type: string
          description: Comment of the sales invoice correction
        ebayUsername:
          type: string
          description: eBay user name
    JTL.Data.Contracts.Keys.GutschriftKey:
      type: string
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Identity.Abstractions.BenutzerKey:
      type: string
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Data.Contracts.Keys.PlattformKey:
      type: string
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Data.Contracts.Keys.ShopKey:
      type: string
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Data.Contracts.Keys.FirmaKey:
      type: string
      description: Represents a key for identifying a firm within the application.
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
  securitySchemes:
    oauth2-authorization-code:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://auth.jtl-cloud.com/oauth2/auth
          tokenUrl: https://auth.jtl-cloud.com/oauth2/token
          scopes:
            items.read: Grants permission to read item data.
            items.write: Grants permission to create and modify item data.
            all.read: Allows the application to read all data.
            authentication.updateforeignapp: Grants permission to update registered third-party apps.
            customers.read: Grants permission to read customer data.
            customers.write: Grants permission to create and modify customer data.
            customfields.read: Grants permission to read custom fields.
            customfields.write: Grants permission to create and modify custom fields.
            deliveries.read: Grants permission to read deliveries.
            deliveries.write: Grants permission to create and modify deliveries.
            deliverynotes.print: Grants permission to print and output delivery notes.
            deliverynotes.read: Grants permission to read delivery notes.
            deliverynotes.write: Grants permission to create and modify delivery notes.
            extensibility.integration: >-
              Grants permission to manage extensions and integrations of the
              JTL-Wawi.
            foreignapps.manage: >-
              Grants permission to manage registered third-party apps
              (registration, update and removal).
            inventories.read: Grants permission to read stock levels.
            inventories.write: Grants permission to modify stock levels.
            invoices.read: Grants permission to read invoices.
            invoices.write: Grants permission to create and modify invoices.
            labels.read: Grants permission to read labels.
            labels.write: Grants permission to create and modify labels.
            masterdata.read: >-
              Read master data such as shipping methods, payment methods, color
              codes and tax classes.
            orders.read: Grants permission to read orders.
            picklists.read: Grants permission to read pick lists.
            picklists.write: Grants permission to create and modify pick lists.
            returns.read: Grants permission to read returns.
            returns.write: Grants permission to create and modify returns.
            saleschannels.read: Grants permission to read sales channels.
            salesinvoicecorrections.read: Grants permission to read invoice corrections.
            salesinvoicecorrections.write: Grants permission to create and modify invoice corrections.
            salesorders.print: Grants permission to print and output sales orders.
            salesorders.read: Grants permission to read sales orders.
            salesorders.write: Grants permission to create and modify sales orders.
            system.config.read: Grants permission to read the system configuration.
            system.config.write: Grants permission to modify the system configuration.
            system.worker.read: >-
              Grants permission to read the configuration and status of
              background workers.
            system.worker.write: Grants permission to configure and control background workers.
            taxes.read: Grants permission to read tax data.
            warehouse.read: Grants permission to read warehouse data.
            wawiapp.all: Grants access to Wawi app related operations.
            currencies.read: Grants read access to currencies.
            jera.read: Grants read access to JERA internal endpoints.
            paymentmethods.read: Grants read access to payment methods.
            salesinvoicecorrections.print: Grants permission to print and output invoice corrections.
            salesinvoices.print: Grants permission to print and output sales invoices.
            salesinvoices.read: Grants read access to sales invoices.
            salesinvoices.write: Grants write access to sales invoices.
            salesquotations.print: Grants permission to print and output sales quotations.
            salesquotations.read: Grants read access to sales quotations.
            salesquotations.write: Grants write access to sales quotations.
            suppliers.read: Grants permission to read suppliers.
            resources.read: Grants permission to read resource management data.
            resources.write: Grants permission to create and modify resource management data.
            pps.read: Grants permission to read production data.
            pps.write: Grants permission to create and modify production data.
            masterdata.write: Write master data
            inventory.read: Grants permission to read stock levels.
            inventory.write: Grants permission to modify stock levels.
            taxes.write: Grants permission to create and modify tax data.
            application.runas: >-
              Allows the application to execute requests on behalf of another
              user.
    oauth2-client-credentials:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://auth.jtl-cloud.com/oauth2/token
          scopes:
            items.read: Grants permission to read item data.
            items.write: Grants permission to create and modify item data.
            all.read: Allows the application to read all data.
            authentication.updateforeignapp: Grants permission to update registered third-party apps.
            customers.read: Grants permission to read customer data.
            customers.write: Grants permission to create and modify customer data.
            customfields.read: Grants permission to read custom fields.
            customfields.write: Grants permission to create and modify custom fields.
            deliveries.read: Grants permission to read deliveries.
            deliveries.write: Grants permission to create and modify deliveries.
            deliverynotes.print: Grants permission to print and output delivery notes.
            deliverynotes.read: Grants permission to read delivery notes.
            deliverynotes.write: Grants permission to create and modify delivery notes.
            extensibility.integration: >-
              Grants permission to manage extensions and integrations of the
              JTL-Wawi.
            foreignapps.manage: >-
              Grants permission to manage registered third-party apps
              (registration, update and removal).
            inventories.read: Grants permission to read stock levels.
            inventories.write: Grants permission to modify stock levels.
            invoices.read: Grants permission to read invoices.
            invoices.write: Grants permission to create and modify invoices.
            labels.read: Grants permission to read labels.
            labels.write: Grants permission to create and modify labels.
            masterdata.read: >-
              Read master data such as shipping methods, payment methods, color
              codes and tax classes.
            orders.read: Grants permission to read orders.
            picklists.read: Grants permission to read pick lists.
            picklists.write: Grants permission to create and modify pick lists.
            returns.read: Grants permission to read returns.
            returns.write: Grants permission to create and modify returns.
            saleschannels.read: Grants permission to read sales channels.
            salesinvoicecorrections.read: Grants permission to read invoice corrections.
            salesinvoicecorrections.write: Grants permission to create and modify invoice corrections.
            salesorders.print: Grants permission to print and output sales orders.
            salesorders.read: Grants permission to read sales orders.
            salesorders.write: Grants permission to create and modify sales orders.
            system.config.read: Grants permission to read the system configuration.
            system.config.write: Grants permission to modify the system configuration.
            system.worker.read: >-
              Grants permission to read the configuration and status of
              background workers.
            system.worker.write: Grants permission to configure and control background workers.
            taxes.read: Grants permission to read tax data.
            warehouse.read: Grants permission to read warehouse data.
            wawiapp.all: Grants access to Wawi app related operations.
            currencies.read: Grants read access to currencies.
            jera.read: Grants read access to JERA internal endpoints.
            paymentmethods.read: Grants read access to payment methods.
            salesinvoicecorrections.print: Grants permission to print and output invoice corrections.
            salesinvoices.print: Grants permission to print and output sales invoices.
            salesinvoices.read: Grants read access to sales invoices.
            salesinvoices.write: Grants write access to sales invoices.
            salesquotations.print: Grants permission to print and output sales quotations.
            salesquotations.read: Grants read access to sales quotations.
            salesquotations.write: Grants write access to sales quotations.
            suppliers.read: Grants permission to read suppliers.
            resources.read: Grants permission to read resource management data.
            resources.write: Grants permission to create and modify resource management data.
            pps.read: Grants permission to read production data.
            pps.write: Grants permission to create and modify production data.
            masterdata.write: Write master data
            inventory.read: Grants permission to read stock levels.
            inventory.write: Grants permission to modify stock levels.
            taxes.write: Grants permission to create and modify tax data.
            application.runas: >-
              Allows the application to execute requests on behalf of another
              user.

````